package com.crm.custom.dao.mapper;

import com.crm.rely.backend.model.entity.golden.goods.GoldenGoodsSearchEntity;
import com.crm.rely.backend.model.pojo.table.GoldenGoodsTable;
import com.crm.rely.backend.model.pojo.view.GoldenGoodsListView;

import java.util.List;

public interface GoldenGoodsMapper {

    List<GoldenGoodsListView> customPageList(GoldenGoodsSearchEntity entity);

    Integer countList(GoldenGoodsSearchEntity entity);

    List<GoldenGoodsTable> pageList(GoldenGoodsSearchEntity entity);


}
